import { SupportedEditorLanguage } from "@/constants/languages";

export const DEFAULT_EDITOR_THEME = "one-dark-pro";

export const DEFAULT_EDITOR_LANGUAGE: SupportedEditorLanguage = "c";

export interface EditorFile {
  path: string;
  language: SupportedEditorLanguage;
  value: string;
}

export const DEFAULT_FILES: Record<SupportedEditorLanguage, EditorFile> = {
  c: {
    path: "playground/main.c",
    language: "c",
    value: `#include <stdio.h>
int main() {
  printf("Hello, World!");
  return 0;
}`,
  },
  cpp: {
    path: "playground/main.cpp",
    language: "cpp",
    value: `#include <iostream>
using namespace std;
int main() {
  cout << "Hello, World!";
  return 0;
}`,
  },
};
