import { createHighlighter } from "shiki";
import { SUPPORTED_EDITOR_THEMES } from "@/constants/themes";
import { SUPPORTED_EDITOR_LANGUAGES_CONFIG } from "@/constants/languages";

const SUPPORTED_EDITOR_THEMES_ID = SUPPORTED_EDITOR_THEMES.map(
  (theme) => theme.id
);

const SUPPORTED_EDITOR_LANGUAGES_ID = Object.values(
  SUPPORTED_EDITOR_LANGUAGES_CONFIG
).map((language: { id: string }) => language.id);

async function initHighlighter() {
  return await createHighlighter({
    themes: SUPPORTED_EDITOR_THEMES_ID,
    langs: SUPPORTED_EDITOR_LANGUAGES_ID,
  });
}

export const highlighter = initHighlighter();
